素材 REST API
上传文件并创建素材组
POST /api/video-studio/assets/ecloud/upload-and-save
Authorization
BearerAuth
AuthorizationBearer <token>
NewAPI API Key,例如 sk-...。不同 API Key 拥有相互隔离的素材空间。
In: header
Request Body
multipart/form-data
files*array<file>
Items
1 <= itemsdisplayName?string
新素材组展示名;省略时从首个文件名生成
Length
length <= 64Response Body
application/json
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://jieyun.cc/api/video-studio/assets/ecloud/upload-and-save" \ -F files="[\n \"string\"\n]"{
"data": {
"groupId": "group_xxx",
"displayName": "产品素材",
"description": "string",
"groupType": "AIGC",
"assetCount": 0,
"coverAssetId": "string",
"coverUrl": "string",
"createdAt": 0,
"updatedAt": 0,
"assets": [
{
"assetId": "asset_xxx",
"assetName": "产品主图",
"assetUrl": "string",
"assetType": "Image",
"status": "Processing",
"errorCode": "string",
"errorMessage": "string",
"createdAt": 0,
"updatedAt": 0
}
]
},
"error": null,
"request_id": "req_xxx"
}{
"data": null,
"error": {
"code": "invalid_request",
"message": "request is invalid"
},
"request_id": "req_xxx"
}{
"data": null,
"error": {
"code": "invalid_request",
"message": "request is invalid"
},
"request_id": "req_xxx"
}{
"data": null,
"error": {
"code": "invalid_request",
"message": "request is invalid"
},
"request_id": "req_xxx"
}{
"data": null,
"error": {
"code": "invalid_request",
"message": "request is invalid"
},
"request_id": "req_xxx"
}{
"data": null,
"error": {
"code": "invalid_request",
"message": "request is invalid"
},
"request_id": "req_xxx"
}最后更新于